Summary: 	The Virtual Ring Buffer Library
Name: 		vrb
Version: 	0.4.0
Release: 	0.fdr.1.2
Epoch: 		0
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://vrb.slashusr.org/
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

%package devel
Summary: 	Development package for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}

# -----------------------------------------------------------------------------

%description
The VRB library is a virtual ring buffer. It uses 2 mirrored ranges of
memory to avoid most needs to check for buffer wraparound. This allows
the caller to have direct access to buffer space and buffer data as a
linear contiguous block.

%description devel
This package contains development files for %{name}.

The VRB library is a virtual ring buffer. It uses 2 mirrored ranges of
memory to avoid most needs to check for buffer wraparound. This allows
the caller to have direct access to buffer space and buffer data as a
linear contiguous block.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
./Configure --prefix=%{_prefix}
mv Makefile Makefile.old
tail +5 Makefile.old > Makefile
perl -pi -e "s#-Wl,-S,-soname,libvrb.so([^ ]*) #-Wl,-S,-soname,libvrb.so.0 #" Makefile
make COPTS="$RPM_OPT_FLAGS" 

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
perl -pi -e "s#%{_prefix}#$RPM_BUILD_ROOT%{_prefix}#g" Makefile
make install 
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3

cd vrb/man/man3
for file in *.3
do
iconv -f iso8859-1 -t utf-8 $file > $RPM_BUILD_ROOT%{_mandir}/man3/$file
done
cd -


# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc Documentation/readme.txt Documentation/lesser.txt
%{_bindir}/vbuf
%{_libdir}/libvrb.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vrb.h
%{_libdir}/libvrb.so
%{_mandir}/man3/vrb*.3*

# -----------------------------------------------------------------------------

%changelog
* Tue Sep  2 2003 Dams <anvil[AT]livna.org> 
- Initial build.


